SHANNON A.I.-logotyp
SHANNON A.I.
Chatt Priser API Forskning Virksomhed Pentest AI Startup Boost
Log ind
Plan & användning
Chatt Priser API Forskning Virksomhed Pentest AI Startup Boost Log ind Plan & användning

Vælg dit sprog

Alle sprog er lige. Vælg det, du vil browse på.

API-dokumentation

Shannon API

OpenAI- og Anthropic-kompatibel AI-API med funktionskald, websøgn­ing og strukturerede outputs.

Få din API-nøgle Prøv Playground V2
Dokumentation
  • OV Overblik
  • CP Funktioner
  • QS Hurtig start
  • PG API‑Playground Ny
  • AU Godkendelse
  • ML Modeller
  • FN Funktionskald
  • JS Strukturerede outputs
  • SS Streaming
  • WS Indbygget websøgning
  • AN Anthropic-format
  • SD SDK'er
  • ER Fejlhåndtering
  • CL Ændringslog
  • AK Din API‑nøgle
  • US Dit forbrug

Shannon AI API Documentation

Overblik

Offentlige docs

Alt hvad du behøver for at shippe med Shannons OpenAI- og Anthropic‑kompatible API.

Basis-URL OpenAI-kompatibel
https://api.shannon-ai.com/v1/chat/completions

Brug Chat Completions API med function calling og streaming.

Basis-URL Anthropic-kompatibel
https://api.shannon-ai.com/v1/messages

Claude Messages-format med tools og anthropic-version-header.

Headere Godkendelse
Autorisation: Bearer <din-noegle>

Eller brug X-API-Key med anthropic-version til opkald i Claude-stil.

Access Status
Public docs - Key required to call

Streaming, function calling, strukturerede outputs og websøgning.

Lanceringstjekliste
  • +
    Peg dit SDK på Shannon
    Sæt baseURL til OpenAI- eller Anthropic-endpointet ovenfor.
    Setup
  • +
    Tilføj din API-nøgle
    Brug Bearer til OpenAI-kald eller X-API-Key + anthropic-version.
    Security
  • +
    Aktivér tools og strukturerede outputs
    Understøtter OpenAI tools/functions, JSON schema og indbygget web_search.
    Funktioner
  • +
    Følg forbrug
    Se token- og søgeforbrug på denne side, når du er logget ind.
    Analytics

Funktioner

OpenAI + Anthropic

Direkte erstatning for OpenAI- og Anthropic-API'er med indbygget support til tools, strukturerede outputs og websøgning.

AI

Direkte erstatning

Kompatibel

Virker med OpenAI‑ og Anthropic‑SDK’er. Skift blot base‑URL.

AI

Funktionskald

Værktøjer

Definér værktøjer og lad Shannon kalde dem. Understøtter auto, forced og none‑tilstande.

AI

Indbygget web‑søgning

Søgning

Websøgning i realtid med kildereferencer. Tilgængelig automatisk.

AI

Strukturerede outputs

JSON

JSON‑tilstand og JSON Schema‑håndhævelse for pålidelig dataudtrækning.

AI

Multi‑turn værktøjer

Agentisk

Automatiske funktions‑loops. Op til 10 iterationer pr. anmodning.

AI

Streaming

Hurtig

Server‑Sent Events til realtids token‑streaming.

Hurtig start

5 minutter

Kom i gang på tre trin. Shannon spejler OpenAI‑ og Anthropic‑klienter.

1

Indstil din base‑URL

Brug det OpenAI‑kompatible endpoint.

https://api.shannon-ai.com/v1/chat/completions
2

Tilføj din API‑nøgle

Brug Bearer‑auth i Authorization‑headeren.

3

Send din første besked

Vælg et sprog og erstat med din nøgle.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Svarformat

Succesrespons
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API‑Playground

Ny

Test Shannon‑API direkte i din browser. Byg din anmodning, kør den og se svaret i realtid.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/da/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Prøv Playground V2 Få din API-nøgle

Godkendelse

Alle API-forespørgsler kræver autentificering med din Shannon API-nøgle.

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic-format

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Modeller

Shannon tilbyder flere modeller optimeret til forskellige brugsscenarier.

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

Kontekst 128K
Bedst til Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

Kontekst 128K
Bedst til Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

Kontekst 128K
Bedst til
AI
shannon-2-pro Shannon 2 Pro

Kontekst 128K
Bedst til
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

Kontekst 128K
Bedst til Code Generation, Tool Use, CLI Integration
Call-based quota

Funktionskald

Define tools that Shannon can call to perform actions or retrieve information.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Valgmuligheder for værktøj

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

Svar på funktionskald

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Strukturerede outputs

Force Shannon to respond with valid JSON that matches your schema.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Svarformatmuligheder

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

Streaming

Enable real-time token streaming with Server-Sent Events for responsive UIs.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Tip: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

Indbygget websøgning

Shannon includes a built-in web_search function that's automatically available.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Pro-tip: Websøgeresultater indeholder kildehenvisninger. Shannon citerer automatisk kilder.

Anthropic-format

Shannon understøtter også Anthropic Messages API-formatet.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Påkrævet header: Anthropic format requires anthropic-version: 2023-06-01.

SDK'er

Kompatibel

Use any OpenAI or Anthropic SDK - just change the base URL.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

Fejlhåndtering

Shannon bruger standard HTTP‑statuskoder og returnerer detaljerede fejlmeddelelser.

400 Ugyldig anmodning Ugyldigt anmodningsformat eller parametre
401 Ikke autoriseret Ugyldig eller manglende API‑nøgle
402 Kvota overskredet Token‑ eller søgekvote overskredet
429 Rate‑begrænset For mange anmodninger, sænk tempoet
500 Serverfejl Intern fejl, prøv igen senere

Fejlrespons‑format

Fejlrespons
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Ændringslog

LOG

Recent updates and improvements to the Shannon API.

v2.1.0
2025-01-03
  • Ny Added shannon-coder-1 model for Claude Code CLI integration
  • Ny Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • Ny Added Anthropic Messages API compatibility
  • Ny Multi-turn tool execution (up to 10 iterations)
  • Ny JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • Ny Added shannon-deep-dapo model for complex reasoning
  • Ny Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • Ny Initial API release
  • Ny OpenAI-compatible chat completions endpoint
  • Ny Function calling support
  • Ny Streaming via Server-Sent Events

Din API‑nøgle

Access
Brug Bearer til OpenAI-kald eller X-API-Key + anthropic-version.
YOUR_API_KEY
Få din API-nøgle

Hold din API‑nøgle hemmelig. Regenerering skaber en ny nøgle og gør den gamle ugyldig.

Version: 1
Sidst roteret: Aldrig
Sidst brugt: Aldrig

Dit forbrug

Se token- og søgeforbrug på denne side, når du er logget ind.

-- API‑kald
-- Brugte tokens

Shannon Koder (shannon-coder-1)

Kald‑baseret kvote til Shannon Coder (shannon-coder-1). Nulstilles hver 4 time.

0 Brugte kald
0 Resterende kald

Klar til at bygge?

Get your API key and start building with Shannon AI today.

Få din API-nøgle Se priser

Populære søgninger:

Prøv andre nøgleord
Naviger: ↑ ↓ Vælg: Enter Luk: Esc